/*
 * Configuration file for STA-Core.
 *
 *  Created on: Aug 30, 2023
 *      Author: Dario
 */

#ifndef INC_STA_CONFIG_HPP_
#define INC_STA_CONFIG_HPP_

// Use the STM32F411 microprocessor.
#include <sta/devices/stm32/mcu/STM32F411xE.hpp>

// Doesn't really do too much right now. Has to be added for successful compilation.
#define STA_PRINTF_USE_STDLIB

// Enable debug serial output and assertions.
#define STA_ASSERT_FORCE
#define STA_DEBUGGING_ENABLED

// Activate the timer for microsecond delays.
// #define STA_STM32_DELAY_ENABLE
// #define STA_STM32_DELAY_US_TIM htim1

// Settings for the rtos-utils
#define STA_RTOS_SYSTEM_EVENTS_ENABLE
#define STA_RTOS_SYSTEM_WATCHDOG_ENABLE
#define STA_RTOS_WATCHDOG_ENABLE

#endif /* INC_STA_CONFIG_HPP_ */
